const isDev = process.env.NODE_ENV === 'development' || process.env.FUNCTIONS_EMULATOR;
const projectName = 'myservice';
const projectLocation = 'us-central1';

class CONSTANT {
  static API_BASE_URL = isDev ? 'http://localhost:3000' : 'URL';
  static FUNCTION = isDev ? `http://localhost:5001/${projectName}/${projectLocation}/api` : `https://${projectLocation}-${projectName}.cloudfunctions.net/api`;
  static KAKAO_USER_ME = 'https://kapi.kakao.com/v2/user/me';
  static GOOGLE_FORM = 'https://docs.google.com/forms/d/1Nu_IkcRQMXzprhuIfBa7IVssIKL9wzcfW0l30cUZFt8/viewform?edit_requested=true';
  static CONTACT_EMAIL = 'maptouk22@gmail.com';
}

export default CONSTANT;
