import type { Meta, StoryObj } from '@storybook/react';

import Icon, { iconNames } from './';

const meta: Meta<typeof Icon> = {
  title: 'atoms/Icon',
  component: Icon as any,
  argTypes: {
    name: {
      options: iconNames,
    },
  },
  excludeStories: /^[a-z]/,
};

export default meta;
type Story = StoryObj<typeof Icon>;

export const 기본: Story = {
  render: args => <Icon {...args} />,
  args: Icon.defaultProps as any,
};
