import type { Meta, StoryObj } from '@storybook/react';
import TextInput from './TextInput';

const meta: Meta<typeof TextInput> = {
  title: 'molecules/TextInput',
  component: TextInput as any,
  argTypes: {},
  excludeStories: /^[a-z]/,
};

export default meta;
type Story = StoryObj<typeof TextInput>;

export const 기본: Story = {
  render: args => <TextInput {...args} />,
  args: TextInput.defaultProps as any,
};
